Package org.silverpeas.components.questionreply.service

# Class QuestionReplyContentManager

java.lang.Object
org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
org.silverpeas.components.questionreply.service.QuestionReplyContentManager

All Implemented Interfaces:
  `org.silverpeas.core.contribution.contentcontainer.content.SilverpeasContentManager`

@Service public class QuestionReplyContentManager extends org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
The questionReply implementation of SilverpeasContentManager.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `QuestionReplyContentManager()`
  Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createSilverContent(Connection con, Question question)`
  Add a new content.
  `protected void`
  `deleteSilverContent(Connection con, org.silverpeas.core.persistence.jdbc.bean.IdPK pk)`
  delete a content.
  `protected List<org.silverpeas.core.contribution.model.Contribution>`
  `getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)`
  `protected String`
  `getContentIconFileName(String componentInstanceId)`
  `protected Optional<org.silverpeas.core.contribution.model.Contribution>`
  `getContribution(String resourceId, String componentInstanceId)`
  `protected void`
  `updateSilverContentVisibility(Question question)`
  update the visibility attributes of the content.

  ### Methods inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

  `computeSilverContentVisibility, createSilverContent, createSilverContent, createSilverContent, deleteSilverContent, deleteSilverContent, deleteSilverContent, getContentManager, getOrCreateSilverContentId, getOrCreateSilverContentId, getSilverContentByReference, getSilverContentId, getSilverContentId, updateSilverContentVisibility, updateSilverContentVisibility`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuestionReplyContentManager

    protected QuestionReplyContentManager()
    Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Details

  - ### getContentIconFileName

    protected String getContentIconFileName(String componentInstanceId)
    Specified by:
      `getContentIconFileName` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getContribution

    protected Optional<org.silverpeas.core.contribution.model.Contribution> getContribution(String resourceId, String componentInstanceId)
    Specified by:
      `getContribution` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getAccessibleContributions

    protected List<org.silverpeas.core.contribution.model.Contribution> getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)
    Specified by:
      `getAccessibleContributions` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### createSilverContent

    protected void createSilverContent(Connection con, Question question) throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException
    Add a new content. It is registered to contentManager service
    Throws:
      `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException` - on technical error.

  - ### updateSilverContentVisibility

    protected void updateSilverContentVisibility(Question question) throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException
    update the visibility attributes of the content. Here, the type of content is a Question.
    Parameters:
      `question` - the content
    Throws:
      `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException` - on technical error.

  - ### deleteSilverContent

    protected void deleteSilverContent(Connection con, org.silverpeas.core.persistence.jdbc.bean.IdPK pk) throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException
    delete a content. It is registered to contentManager service
    Parameters:
      `con` - a Connection
      `pk` - the identity of the content to unregister
    Throws:
      `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException` - on technical error.